Subject: Building DLLs
From: [email-masked] (Fergus Henderson)

25 Feb 1997 00:17:10 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Content-Type: text
Original-To: [email-masked] (gnu-win32)
X-Mailer: ELM [version 2.4 PL24]
Original-Sender: [email-masked]

Hi,

I've put up some explanations on how to create DLLs at
<http://www.cs.mu.oz.au/~fjh/gnu-win32/how-to-build-dlls.html>.

With this method, creating a DLL is relatively simple.
You create a `foo.a' file using `ar' and `ranlib' in the usual manner.
You copy the file `Makefile.DLLs' to your source directory, and add the line

	include Makefile.DLLs

at the very end of your Makefile, and then you type `make foo.dll'.  That's it!
This will also create foo.stubs.a, which is the library that
applications that use the DLL must be linked with.

For details, caveats, and the `Makefile.DLLs' file, see the URL.

I didn't test it very well so there may well be some bugs.  If so,
please let me know.

-- 
Fergus Henderson <[email-masked]>   |  "I have always known that the pursuit
WWW: <http://www.cs.mu.oz.au/~fjh>   |  of excellence is a lethal habit"
PGP: finger [email-masked]         |     -- the last words of T. S. Garp.
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".